Index: res/res_agi.c
===================================================================
--- res/res_agi.c	(revision 14178)
+++ res/res_agi.c	(working copy)
@@ -127,14 +127,15 @@
 
 /* launch_netscript: The fastagi handler.
 	FastAGI defaults to port 4573 */
-static int launch_netscript(char *agiurl, char *argv[], int *fds, int *efd, int *opid)
+static int launch_netscript(char *agiurl, int argc, char *argv[], int *fds, int *efd, int *opid)
 {
 	int s;
 	int flags;
+	int count;
 	struct pollfd pfds[1];
 	char *host;
 	char *c; int port = AGI_PORT;
-	char *script="";
+	char *params="";
 	struct sockaddr_in sin;
 	struct hostent *hp;
 	struct ast_hostent ahp;
@@ -146,7 +147,6 @@
 	if ((c = strchr(host, '/'))) {
 		*c = '\0';
 		c++;
-		script = c;
 	}
 	if ((c = strchr(host, ':'))) {
 		*c = '\0';
@@ -206,9 +206,9 @@
 		}
 	}
 
-	/* If we have a script parameter, relay it to the fastagi server */
-	if (!ast_strlen_zero(script))
-		fdprintf(s, "agi_network_script: %s\n", script);
+	/* Send any parameters to the fastagi server that have been passed along */
+	for(count = 1; count < argc; count++)
+		fdprintf(s, "agi_arg_%d: %s\n", count, argv[count]);
 
 	if (option_debug > 3)
 		ast_log(LOG_DEBUG, "Wow, connected!\n"); @@ -218,7 +219,7 @@
 	return 0;
 }
 
-static int launch_script(char *script, char *argv[], int *fds, int *efd, int *opid)
+static int launch_script(char *script, int argc, char *argv[], int *fds, int *efd, int *opid)
 {
 	char tmp[256];
 	int pid;
@@ -230,7 +231,7 @@
 	sigset_t signal_set;
 	
 	if (!strncasecmp(script, "agi://", 6))
-		return launch_netscript(script, argv, fds, efd, opid);
+		return launch_netscript(script, argc, argv, fds, efd, opid);
 	
 	if (script[0] != '/') {
 		snprintf(tmp, sizeof(tmp), "%s/%s", (char *)ast_config_AST_AGI_DIR, script); @@ -2017,7 +2018,7 @@
 		}
 	}
 #endif
-	res = launch_script(argv[0], argv, fds, enhanced ? &efd : NULL, &pid);
+	res = launch_script(argv[0], argc, argv, fds, enhanced ? &efd : NULL, 
+&pid);
 	if (!res) {
 		agi.fd = fds[1];
 		agi.ctrl = fds[0];
